Skip to main content

External Allocation Upsert Many Ep

POST 

/v1/external_allocation/upsert_many

External Allocation Upsert Many

Upload external directive allocation data for a given directive day.

Required Scopes (ipd.w)

Request

curve_group_id: str
The id of the directive.


date: datetime
The calendar date of the allocation data.


timezone: str
The timezone of the directive.


allocation_remaining_amount_daily: float | None


allocation_remaining_amount_weekly: float | None


allocation_remaining_amount_monthly: float | None


allocation_remaining_amount_tri_monthly: float | None


allocation_remaining_amount_custom: float | None


lifted_amount_daily: float | None


lifted_amount_weekly: float | None


lifted_amount_monthly: float | None


lifted_amount_tri_monthly: float | None


lifted_amount_custom: float | None


refresh_amount_daily: float | None


refresh_amount_weekly: float | None


refresh_amount_monthly: float | None


refresh_amount_tri_monthly: float | None


refresh_amount_custom: float | None


refresh_date_daily: datetime | None


refresh_date_weekly: datetime | None


refresh_date_monthly: datetime | None


refresh_date_tri_monthly: datetime | None


refresh_date_custom: datetime | None


refresh_date_custom_days: datetime | None


scaled_start_amount_daily: float | None


scaled_start_amount_weekly: float | None


scaled_start_amount_monthly: float | None


scaled_start_amount_tri_monthly: float | None


scaled_start_amount_custom: float | None

Responses

Successful Response

Loading...